List tools
Get all available tools in the workspace.
Headers
xi-api-key
Query parameters
search
If specified, the endpoint returns only tools whose names start with this string.
page_size
How many documents to return at maximum. Can not exceed 100, defaults to 30.
show_only_owned_documentsDeprecated
If set to true, the endpoint will return only tools owned by you (and not shared from somebody else). Deprecated: use created_by_user_id instead.
created_by_user_id
Filter tools by creator user ID. When set, only tools created by this user are returned. Takes precedence over show_only_owned_documents. Use ‘@me’ to refer to the authenticated user.
types
If present, the endpoint will return only tools of the given types.
Allowed values:
sort_direction
The direction to sort the results
Allowed values:
sort_by
The field to sort the results by
Allowed values:
used_by_agent_id
Filter to tools referenced by this agent’s main branch: tools attached to the agent, tools on authored workflow nodes, and tools referenced by procedures.
cursor
Used for fetching next page. Cursor is returned in the response.
Response
Successful Response
tools
has_more
next_cursor
Errors
422
Tools List Request Unprocessable Entity Error